Debian Bug report logs - #646429
linux-image-2.6.39-bpo.2-686-pae: CPU lockup on bogus values in alarmclock

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: leo weppelman <leoweppelman@googlemail.com>

Date: Mon, 24 Oct 2011 08:21:02 UTC

Severity: important

Tags: patch, pending, upstream

Merged with 653331

Found in versions 2.6.39-3~bpo60+1, 3.1.1-1

Fixed in version linux-2.6/3.1.8-1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Forwarded to http://thread.gmane.org/gmane.linux.debian.devel.bugs.general/899526

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#646429; Package linux-2.6. (Mon, 24 Oct 2011 08:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to leo weppelman <leoweppelman@googlemail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 24 Oct 2011 08:21:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: leo weppelman <leoweppelman@googlemail.com>
To: submit@bugs.debian.org
Subject: linux-image-2.6.39-bpo.2-686-pae: CPU lockup on bogus values in alarmclock
Date: Mon, 24 Oct 2011 10:19:14 +0200
Package: linux-2.6
Version: 2.6.39-3~bpo60+1
Severity: normal
Tags: patch

*** Please type your report below this line ***
On a kernel upgrade on an ML350-G6, I got the following kernel error:

[    7.934275] input: AT Translated Set 2 keyboard as
/devices/platform/i8042/serio0/input/input0
[   74.314403] BUG: soft lockup - CPU#1 stuck for 61s! [swapper:1]
[   74.347143] Modules linked in:
[   74.362226] Modules linked in:
[   74.377593]
[   74.386567] Pid: 1, comm: swapper Tainted: G        W
2.6.39-bpo.2-686-pae #1 HP ProLiant ML350 G6
[   74.430973] EIP: 0060:[<c11f8e0c>] EFLAGS: 00000246 CPU: 1
[   74.462417] EIP is at is_leap_year+0x24/0x2d
[   74.485874] EAX: 004cd64f EBX: 00000190 ECX: 780edc9f EDX: 0000012f
[   74.521801] ESI: 0000001f EDI: 00000003 EBP: f5b0cc00 ESP: f585be34
[   74.557730]  DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
[   74.588674] Process swapper (pid: 1, ti=f585a000 task=f5859900
task.ti=f585a000)
[   74.632074] Stack:
[   74.637621]  00000004 c11f8e27 f585bed0 00000022 c11f8f7a f585becc
00000000 c11fa0ef
[   74.672621]  f585be64 f585be88 f585bed0 f5b0cd74 0000003a 0000000a
0000000a 00000012
[   74.695438]  00000009 0000006f 00000000 00000000 00000000 0000003a
0000000a 0000000a
[   74.726187] Call Trace:
[   74.739904]  [<c11f8e27>] ? rtc_month_days+0x12/0x2c
[   74.768326]  [<c11f8f7a>] ? rtc_valid_tm+0x26/0x45
[   74.794273]  [<c11fa0ef>] ? __rtc_read_alarm+0x1df/0x200
[   74.819230]  [<c11f9313>] ? rtc_device_register+0x196/0x267
[   74.851234]  [<c11fb6df>] ? cmos_do_probe+0x116/0x326
[   74.880106]  [<c11b06b6>] ? pnp_device_probe+0x79/0x96
[   74.910540]  [<c11e8ea9>] ? driver_probe_device+0x8c/0x110
[   74.937018]  [<c11e8f6d>] ? __driver_attach+0x40/0x5b
[   74.961949]  [<c11e8705>] ? bus_for_each_dev+0x37/0x5f
[   74.991395]  [<c11e8d5f>] ? driver_attach+0x11/0x13
[   75.014842]  [<c11e8f2d>] ? driver_probe_device+0x110/0x110
[   75.043326]  [<c11e8a80>] ? bus_add_driver+0x87/0x1bb
[   75.071736]  [<c11550f4>] ? kset_find_obj_hinted+0x43/0x7d
[   75.104169]  [<c144c2a2>] ? rtc_sysfs_init+0x8/0x8
[   75.126702]  [<c11e93ac>] ? driver_register+0x7a/0xd9
[   75.152575]  [<c144c2a2>] ? rtc_sysfs_init+0x8/0x8
[   75.175534]  [<c144c2ad>] ? cmos_init+0xb/0x5a
[   75.202004]  [<c1003068>] ? do_one_initcall+0x68/0x10f
[   75.226450]  [<c1420271>] ? kernel_init+0xb8/0x12f
[   75.253500]  [<c14201b9>] ? parse_early_options+0x18/0x18
[   75.284824]  [<c12b7c3e>] ? kernel_thread_helper+0x6/0x10
[   75.311271] Code: ff 5a 5b 5e 5f c3 90 a8 03 89 c1 53 75 12 31 d2
bb 64 00 00 00 f7 f3 b8 01 00 00 00 85 d2 75 12 31 d2 bb 90 01 00 00
89 c8 f7 f3
[   75.333012] Call Trace:
[   75.334143]  [<c11f8e27>] ? rtc_month_days+0x12/0x2c
[   75.355696]  [<c11f8f7a>] ? rtc_valid_tm+0x26/0x45
[   75.383129]  [<c11fa0ef>] ? __rtc_read_alarm+0x1df/0x200
[   75.407087]  [<c11f9313>] ? rtc_device_register+0x196/0x267
[   75.439018]  [<c11fb6df>] ? cmos_do_probe+0x116/0x326
[   75.466985]  [<c11b06b6>] ? pnp_device_probe+0x79/0x96
[   75.496914]  [<c11e8ea9>] ? driver_probe_device+0x8c/0x110
[   75.523859]  [<c11e8f6d>] ? __driver_attach+0x40/0x5b
[   75.552812]  [<c11e8705>] ? bus_for_each_dev+0x37/0x5f
[   75.582743]  [<c11e8d5f>] ? driver_attach+0x11/0x13
[   75.610170]  [<c11e8f2d>] ? driver_probe_device+0x110/0x110
[   75.636651]  [<c11e8a80>] ? bus_add_driver+0x87/0x1bb
[   75.665599]  [<c11550f4>] ? kset_find_obj_hinted+0x43/0x7d
[   75.697586]  [<c144c2a2>] ? rtc_sysfs_init+0x8/0x8
[   75.720487]  [<c11e93ac>] ? driver_register+0x7a/0xd9
[   75.749417]  [<c144c2a2>] ? rtc_sysfs_init+0x8/0x8
[   75.776371]  [<c144c2ad>] ? cmos_init+0xb/0x5a
[   75.799312]  [<c1003068>] ? do_one_initcall+0x68/0x10f
[   75.829771]  [<c1420271>] ? kernel_init+0xb8/0x12f
[   75.851644]  [<c14201b9>] ? parse_early_options+0x18/0x18
[   75.882168]  [<c12b7c3e>] ? kernel_thread_helper+0x6/0x10

The problem turned out to be illegal data in the mdays field of the alarm
timer. The value was 2E (bcd) or 34 (decimal). The value was accepted by
the code in rtc-cmos.c - which checks for 'value <= 0x31'. While this check
is misleading, the biggest problem looks to be in drivers/rtc/interface.c
where an attempt is made to guess the year. This loop is endless when one
of the date/time values is out of range.
The following patch fixes this:
--- a/drivers/rtc/interface.c   2011-10-24 10:02:52.000000000 +0200
+++ b/drivers/rtc/interface.c   2011-10-24 10:05:21.000000000 +0200
@@ -283,9 +283,14 @@
        /* Year rollover ... easy except for leap years! */
        case year:
                dev_dbg(&rtc->dev, "alarm rollover: %s\n", "year");
-               do {
-                       alarm->time.tm_year++;
-               } while (rtc_valid_tm(&alarm->time) != 0);
+               if (rtc_valid_tm(&now)) {
+                       do {
+                               alarm->time.tm_year++;
+                       } while (rtc_valid_tm(&alarm->time) != 0
+                                                       &&
alarm->time.tm_year < (now.tm_year + 10));
+               }
+               if (rtc_valid_tm(&alarm->time) != 0)
+                       return -EINVAL;
                break;

        default:

-- Package-specific info:
** Version:
Linux version 2.6.39-bpo.2-686-pae (Debian 2.6.39-3~bpo60+1)
(norbert@tretkowski.de) (gcc version 4.4.5 (Debian 4.4.5-8) ) #1 SMP
Thu Aug 4 11:02:22 UTC 2011




Severity set to 'important' from 'normal' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 29 Dec 2011 05:54:09 GMT) Full text and rfc822 format available.

Merged 646429 653331. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 29 Dec 2011 05:54:09 GMT) Full text and rfc822 format available.

Message sent on to leo weppelman <leoweppelman@googlemail.com>:
Bug#646429. (Thu, 29 Dec 2011 05:54:13 GMT) Full text and rfc822 format available.

Message #12 received at 646429-submitter@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "P." <mailme667@yahoo.co.uk>
Cc: 653331@bugs.debian.org, 646429-submitter@bugs.debian.org
Subject: Re: CPU#0 stuck for 23s, system does not boot
Date: Wed, 28 Dec 2011 23:50:39 -0600
severity 646429 important
merge 646429 653331
quit

P. wrote:

> A friend (thanks FrodoBaggins!) suggested Bug#646429
> (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=646429) may be the
> same problem.
[...]
> Indeed: stars. After entering "echo +300 >
> /sys/class/rtc/rtc0/wakealarm" a proper value is shown, but is
> instantly forgotten on reboot or powerdown. A couple of
> kernel-reloadings using kexec appear to show that updating the
> wakealarm makes the difference between kernel 3.1 booting or not.

Thanks; merging.

> I haven't tried his patch, for two reasons: #1 I'm not very
> experienced with kernel compilation. #2 It would take approximately
> two eternities on the laptop in question.

There have been some rtc changes upstream:

 - v3.2-rc5~43^2~4 (rtc: Disable the alarm in the hardware,
   2011-11-22), cherry-picked as v3.1.5~23

 - v3.2-rc7~23^2~2 (rtc: Expire alarms after the time is set,
   2011-12-09)

but neither seems relevant.

My advice:

 - Please test version 3.1.5 or newer from sid, testing, or
   experimental.
 - If that reproduces the problem, please also try 3.2-rc7 or newer
   from experimental.
 - If that reproduces the problem, please send a summary of the
   problem to rtc-linux@googlegroups.com, cc-ing
   linux-kernel@vger.kernel.org, Alessandro Zummo
   <a.zummo@towertech.it>, John Stultz <john.stultz@linaro.org>, and
   either me or this bug log so we can track it.  Be sure to include
   a link to <http://bugs.debian.org/646429> for the diagnosis and
   be ready to answer questions if the developers have any.
 - If you find yourself wanting to test a patch, see [1] for
   instructions and feel free to do the actual building on some beefy
   machine other than the one you're testing on. :)

Thanks much, and good luck,
Jonathan

[1] http://kernel-handbook.alioth.debian.org/ch-common-tasks.html




Merged 646429 653331. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 29 Dec 2011 15:39:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Thu, 29 Dec 2011 15:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#646429; Package linux-2.6. (Thu, 29 Dec 2011 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 29 Dec 2011 15:45:03 GMT) Full text and rfc822 format available.

Message #21 received at 646429@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Alessandro Zummo <a.zummo@towertech.it>
Cc: rtc-linux@googlegroups.com, 646429@bugs.debian.org, 653331@bugs.debian.org, "Reported by: leo weppelman" <leoweppelman@googlemail.com>, "P. van Gaans" <mailme667@yahoo.co.uk>
Subject: [PATCH] rtc: Fix alarm rollover when day or month is out-of-range
Date: Thu, 29 Dec 2011 16:41:56 +0100
Commit f44f7f96a20af16f6f12e1c995576d6becf5f57b ('RTC: Initialize
kernel state from RTC') introduced a potential infinite loop.  If an
alarm time contains a wildcard month and an invalid day (> 31), or a
wildcard year and an invalid month (>= 12), the loop searching for the
next matching date will never terminate.  Treat the invalid values as
wildcards.

Reported-by: leo weppelman <leoweppelman@googlemail.com>
Reported-by: "P. van Gaans" <mailme667@yahoo.co.uk>
References: http://bugs.debian.org/646429
References: http://bugs.debian.org/653331
Signed-off-by: Ben Hutchings <ben@decadent.org.uk>
Cc: stable@vger.kernel.org
---
I'm not sure whether the out-of-range values should be sanitised
earlier.  The rtc-cmos driver certainly does not do this.

Ben.

 drivers/rtc/interface.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/drivers/rtc/interface.c b/drivers/rtc/interface.c
index 3d9d2b9..f79ff34 100644
--- a/drivers/rtc/interface.c
+++ b/drivers/rtc/interface.c
@@ -227,11 +227,11 @@ int __rtc_read_alarm(struct rtc_device *rtc, struct rtc_wkalrm *alarm)
 		alarm->time.tm_hour = now.tm_hour;
 
 	/* For simplicity, only support date rollover for now */
-	if (alarm->time.tm_mday == -1) {
+	if (alarm->time.tm_mday < 1 || alarm->time.tm_mday > 31) {
 		alarm->time.tm_mday = now.tm_mday;
 		missing = day;
 	}
-	if (alarm->time.tm_mon == -1) {
+	if ((unsigned)alarm->time.tm_mon >= 12) {
 		alarm->time.tm_mon = now.tm_mon;
 		if (missing == none)
 			missing = month;
-- 
1.7.7.3






Message sent on to leo weppelman <leoweppelman@googlemail.com>:
Bug#646429. (Thu, 29 Dec 2011 15:48:08 GMT) Full text and rfc822 format available.

Message #24 received at 646429-submitter@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: "P." <mailme667@yahoo.co.uk>, 653331@bugs.debian.org, 646429-submitter@bugs.debian.org
Subject: Re: CPU#0 stuck for 23s, system does not boot
Date: Thu, 29 Dec 2011 16:45:51 +0100
[Message part 1 (text/plain, inline)]
I was able to reproduce this in a VM after hacking the rtc-cmos driver
to return invalid alarm values.  The patch I just sent out certainly
fixed the problem in that VM.

Ben.

-- 
Ben Hutchings
Design a system any fool can use, and only a fool will want to use it.
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 29 Dec 2011 16:21:08 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 31 Dec 2011 07:57:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://thread.gmane.org/gmane.linux.debian.devel.bugs.general/899526'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 31 Dec 2011 07:57:10 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 09 Jan 2012 01:39:11 GMT) Full text and rfc822 format available.

Notification sent to leo weppelman <leoweppelman@googlemail.com>:
Bug acknowledged by developer. (Mon, 09 Jan 2012 01:39:11 GMT) Full text and rfc822 format available.

Message #35 received at 646429-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 646429-close@bugs.debian.org
Subject: Bug#646429: fixed in linux-2.6 3.1.8-1
Date: Mon, 09 Jan 2012 01:34:51 +0000
Source: linux-2.6
Source-Version: 3.1.8-1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_3.1.8-1.diff.gz
  to main/l/linux-2.6/linux-2.6_3.1.8-1.diff.gz
linux-2.6_3.1.8-1.dsc
  to main/l/linux-2.6/linux-2.6_3.1.8-1.dsc
linux-2.6_3.1.8.orig.tar.gz
  to main/l/linux-2.6/linux-2.6_3.1.8.orig.tar.gz
linux-doc-3.1_3.1.8-1_all.deb
  to main/l/linux-2.6/linux-doc-3.1_3.1.8-1_all.deb
linux-manual-3.1_3.1.8-1_all.deb
  to main/l/linux-2.6/linux-manual-3.1_3.1.8-1_all.deb
linux-patch-debian-3.1_3.1.8-1_all.deb
  to main/l/linux-2.6/linux-patch-debian-3.1_3.1.8-1_all.deb
linux-source-3.1_3.1.8-1_all.deb
  to main/l/linux-2.6/linux-source-3.1_3.1.8-1_all.deb
linux-support-3.1.0-1_3.1.8-1_all.deb
  to main/l/linux-2.6/linux-support-3.1.0-1_3.1.8-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646429@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 08 Jan 2012 16:31:16 +0000
Source: linux-2.6
Binary: linux-source-3.1 linux-doc-3.1 linux-manual-3.1 linux-patch-debian-3.1 linux-support-3.1.0-1 linux-libc-dev linux-headers-3.1.0-1-all linux-headers-3.1.0-1-all-alpha linux-headers-3.1.0-1-common linux-image-3.1.0-1-alpha-generic linux-headers-3.1.0-1-alpha-generic linux-image-3.1.0-1-alpha-smp linux-headers-3.1.0-1-alpha-smp linux-image-3.1.0-1-alpha-legacy linux-headers-3.1.0-1-alpha-legacy linux-headers-3.1.0-1-all-amd64 kernel-image-3.1.0-1-amd64-di nic-modules-3.1.0-1-amd64-di nic-extra-modules-3.1.0-1-amd64-di nic-wireless-modules-3.1.0-1-amd64-di nic-shared-modules-3.1.0-1-amd64-di serial-modules-3.1.0-1-amd64-di usb-serial-modules-3.1.0-1-amd64-di ppp-modules-3.1.0-1-amd64-di ide-modules-3.1.0-1-amd64-di pata-modules-3.1.0-1-amd64-di ide-core-modules-3.1.0-1-amd64-di cdrom-core-modules-3.1.0-1-amd64-di firewire-core-modules-3.1.0-1-amd64-di scsi-core-modules-3.1.0-1-amd64-di scsi-modules-3.1.0-1-amd64-di scsi-common-modules-3.1.0-1-amd64-di
Architecture: all amd64 source
Version: 3.1.8-1
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 502816 601962 646376 646429 652503 652869 653398 653423 653716
Description: 
 acpi-modules-3.1.0-1-486-di - ACPI support modules (udeb)
 acpi-modules-3.1.0-1-686-pae-di - ACPI support modules (udeb)
 acpi-modules-3.1.0-1-amd64-di - ACPI support modules (udeb)
 affs-modules-3.1.0-1-powerpc64-di - Amiga filesystem support (udeb)
 affs-modules-3.1.0-1-powerpc-di - Amiga filesystem support (udeb)
 ata-modules-3.1.0-1-486-di - ATA disk modules (udeb)
 ata-modules-3.1.0-1-686-pae-di - ATA disk modules (udeb)
 ata-modules-3.1.0-1-amd64-di - ATA disk modules (udeb)
 ata-modules-3.1.0-1-iop32x-di - ATA disk modules (udeb)
 ata-modules-3.1.0-1-itanium-di - ATA disk modules (udeb)
 ata-modules-3.1.0-1-powerpc64-di - ATA disk modules (udeb)
 ata-modules-3.1.0-1-powerpc-di - ATA disk modules (udeb)
 ata-modules-3.1.0-1-sparc64-di - ATA disk modules (udeb)
 btrfs-modules-3.1.0-1-486-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-4kc-malta-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-686-pae-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-amd64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-amiga-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-atari-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-iop32x-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-itanium-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-kirkwood-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-loongson-2f-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-mac-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-mx5-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-orion5x-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-parisc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-parisc-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-powerpc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-powerpc-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-r4k-ip22-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-r5k-cobalt-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-r5k-ip32-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-sb1-bcm91250a-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-sh7751r-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-sh7785lcr-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-sparc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-versatile-di - BTRFS filesystem support (udeb)
 cdrom-core-modules-3.1.0-1-486-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-4kc-malta-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-686-pae-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-amd64-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-amiga-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-atari-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-iop32x-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-itanium-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-kirkwood-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-loongson-2f-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-mac-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-orion5x-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-parisc64-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-parisc-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-powerpc64-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-powerpc-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-sb1-bcm91250a-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-sh7751r-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-sh7785lcr-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-sparc64-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-versatile-di - CDROM support (udeb)
 core-modules-3.1.0-1-486-di - Core modules (udeb)
 core-modules-3.1.0-1-686-pae-di - Core modules (udeb)
 core-modules-3.1.0-1-amd64-di - Core modules (udeb)
 core-modules-3.1.0-1-iop32x-di - Core modules (udeb)
 core-modules-3.1.0-1-itanium-di - Core modules (udeb)
 core-modules-3.1.0-1-kirkwood-di - Core modules (udeb)
 core-modules-3.1.0-1-mx5-di - Core modules (udeb)
 core-modules-3.1.0-1-orion5x-di - Core modules (udeb)
 core-modules-3.1.0-1-powerpc64-di - Core modules (udeb)
 core-modules-3.1.0-1-powerpc-di - Core modules (udeb)
 core-modules-3.1.0-1-s390x-di - Core modules (udeb)
 core-modules-3.1.0-1-sparc64-di - Core modules (udeb)
 core-modules-3.1.0-1-versatile-di - Core modules (udeb)
 crc-modules-3.1.0-1-486-di - CRC modules (udeb)
 crc-modules-3.1.0-1-686-pae-di - CRC modules (udeb)
 crc-modules-3.1.0-1-amd64-di - CRC modules (udeb)
 crc-modules-3.1.0-1-iop32x-di - CRC modules (udeb)
 crc-modules-3.1.0-1-itanium-di - CRC modules (udeb)
 crc-modules-3.1.0-1-kirkwood-di - CRC modules (udeb)
 crc-modules-3.1.0-1-mx5-di - CRC modules (udeb)
 crc-modules-3.1.0-1-orion5x-di - CRC modules (udeb)
 crc-modules-3.1.0-1-powerpc64-di - CRC modules (udeb)
 crc-modules-3.1.0-1-powerpc-di - CRC modules (udeb)
 crc-modules-3.1.0-1-sh7751r-di - CRC modules (udeb)
 crc-modules-3.1.0-1-sh7785lcr-di - CRC modules (udeb)
 crc-modules-3.1.0-1-versatile-di - CRC modules (udeb)
 crypto-dm-modules-3.1.0-1-486-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-4kc-malta-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-686-pae-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-amd64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-iop32x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-itanium-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-kirkwood-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-loongson-2f-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-mx5-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-orion5x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-parisc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-parisc-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-powerpc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-powerpc-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-r4k-ip22-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-r5k-cobalt-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-r5k-ip32-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-s390x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-sb1-bcm91250a-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-sh7751r-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-sh7785lcr-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-sparc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-versatile-di - devicemapper crypto module (udeb)
 crypto-modules-3.1.0-1-486-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-4kc-malta-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-686-pae-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-amd64-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-amiga-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-atari-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-iop32x-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-itanium-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-kirkwood-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-loongson-2f-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-mac-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-mx5-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-orion5x-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-parisc64-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-parisc-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-powerpc64-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-powerpc-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-r4k-ip22-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-r5k-cobalt-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-r5k-ip32-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-s390x-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-sb1-bcm91250a-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-sh7751r-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-sh7785lcr-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-sparc64-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-versatile-di - crypto modules (udeb)
 dasd-extra-modules-3.1.0-1-s390x-di - optional dasd DIAG support (udeb)
 dasd-modules-3.1.0-1-s390x-di - dasd modules (udeb)
 efi-modules-3.1.0-1-486-di - EFI modules (udeb)
 efi-modules-3.1.0-1-686-pae-di - EFI modules (udeb)
 efi-modules-3.1.0-1-amd64-di - EFI modules (udeb)
 efi-modules-3.1.0-1-itanium-di - EFI modules (udeb)
 event-modules-3.1.0-1-486-di - Event support (udeb)
 event-modules-3.1.0-1-686-pae-di - Event support (udeb)
 event-modules-3.1.0-1-amd64-di - Event support (udeb)
 event-modules-3.1.0-1-iop32x-di - Event support (udeb)
 event-modules-3.1.0-1-itanium-di - Event support (udeb)
 event-modules-3.1.0-1-kirkwood-di - Event support (udeb)
 event-modules-3.1.0-1-orion5x-di - Event support (udeb)
 event-modules-3.1.0-1-powerpc64-di - Event support (udeb)
 event-modules-3.1.0-1-powerpc-di - Event support (udeb)
 ext2-modules-3.1.0-1-486-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-686-pae-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-amd64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-iop32x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-itanium-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-kirkwood-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-mx5-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-orion5x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-powerpc64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-powerpc-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-s390x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-sh7751r-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-sh7785lcr-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-sparc64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-versatile-di - EXT2 filesystem support (udeb)
 ext3-modules-3.1.0-1-486-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-686-pae-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-amd64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-iop32x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-itanium-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-kirkwood-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-mx5-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-orion5x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-parisc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-parisc-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-powerpc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-powerpc-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-s390x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-sparc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-versatile-di - EXT3 filesystem support (udeb)
 ext4-modules-3.1.0-1-486-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-4kc-malta-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-686-pae-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-amd64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-iop32x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-itanium-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-kirkwood-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-loongson-2f-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-mx5-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-orion5x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-parisc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-parisc-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-powerpc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-powerpc-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-r4k-ip22-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-r5k-cobalt-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-r5k-ip32-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-s390x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-sb1-bcm91250a-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-sh7751r-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-sh7785lcr-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-sparc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-versatile-di - EXT4 filesystem support (udeb)
 fancontrol-modules-3.1.0-1-powerpc64-di - Apple powermac fancontrol modules (udeb)
 fat-modules-3.1.0-1-486-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-4kc-malta-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-686-pae-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-amd64-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-amiga-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-atari-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-iop32x-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-itanium-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-kirkwood-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-loongson-2f-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-mac-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-mx5-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-orion5x-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-parisc64-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-parisc-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-powerpc64-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-powerpc-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-r5k-cobalt-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-s390x-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-sb1-bcm91250a-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-sh7751r-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-sh7785lcr-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-sparc64-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-versatile-di - FAT filesystem support (udeb)
 fb-modules-3.1.0-1-486-di - Frame buffer support (udeb)
 fb-modules-3.1.0-1-686-pae-di - Frame buffer support (udeb)
 fb-modules-3.1.0-1-amd64-di - Frame buffer support (udeb)
 fb-modules-3.1.0-1-itanium-di - Frame buffer support (udeb)
 fb-modules-3.1.0-1-kirkwood-di - Frame buffer support (udeb)
 fb-modules-3.1.0-1-sb1-bcm91250a-di - Frame buffer support (udeb)
 firewire-core-modules-3.1.0-1-486-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.1.0-1-686-pae-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.1.0-1-amd64-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.1.0-1-itanium-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.1.0-1-powerpc64-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.1.0-1-powerpc-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.1.0-1-sh7751r-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.1.0-1-sh7785lcr-di - Core FireWire drivers (udeb)
 floppy-modules-3.1.0-1-486-di - Floppy driver (udeb)
 floppy-modules-3.1.0-1-686-pae-di - Floppy driver (udeb)
 floppy-modules-3.1.0-1-amd64-di - Floppy driver (udeb)
 floppy-modules-3.1.0-1-powerpc64-di - Floppy driver (udeb)
 floppy-modules-3.1.0-1-powerpc-di - Floppy driver (udeb)
 hfs-modules-3.1.0-1-powerpc64-di - HFS filesystem support (udeb)
 hfs-modules-3.1.0-1-powerpc-di - HFS filesystem support (udeb)
 hypervisor-modules-3.1.0-1-powerpc64-di - IBM 64bit hypervisor console modules (udeb)
 i2c-modules-3.1.0-1-486-di - i2c support modules (udeb)
 i2c-modules-3.1.0-1-686-pae-di - i2c support modules (udeb)
 i2c-modules-3.1.0-1-amd64-di - i2c support modules (udeb)
 i2c-modules-3.1.0-1-sh7751r-di - i2c support modules (udeb)
 ide-core-modules-3.1.0-1-486-di - IDE support (udeb)
 ide-core-modules-3.1.0-1-686-pae-di - IDE support (udeb)
 ide-core-modules-3.1.0-1-amd64-di - IDE support (udeb)
 ide-core-modules-3.1.0-1-itanium-di - IDE support (udeb)
 ide-core-modules-3.1.0-1-powerpc64-di - IDE support (udeb)
 ide-core-modules-3.1.0-1-powerpc-di - IDE support (udeb)
 ide-modules-3.1.0-1-486-di - IDE drivers (udeb)
 ide-modules-3.1.0-1-686-pae-di - IDE drivers (udeb)
 ide-modules-3.1.0-1-amd64-di - IDE drivers (udeb)
 ide-modules-3.1.0-1-itanium-di - IDE drivers (udeb)
 ide-modules-3.1.0-1-parisc64-di - IDE drivers (udeb)
 ide-modules-3.1.0-1-parisc-di - IDE drivers (udeb)
 ide-modules-3.1.0-1-powerpc64-di - IDE drivers (udeb)
 ide-modules-3.1.0-1-powerpc-di - IDE drivers (udeb)
 ide-modules-3.1.0-1-sparc64-di - IDE drivers (udeb)
 input-modules-3.1.0-1-486-di - Input devices support (udeb)
 input-modules-3.1.0-1-4kc-malta-di - Input devices support (udeb)
 input-modules-3.1.0-1-686-pae-di - Input devices support (udeb)
 input-modules-3.1.0-1-amd64-di - Input devices support (udeb)
 input-modules-3.1.0-1-itanium-di - Input devices support (udeb)
 input-modules-3.1.0-1-kirkwood-di - Input devices support (udeb)
 input-modules-3.1.0-1-loongson-2f-di - Input devices support (udeb)
 input-modules-3.1.0-1-mx5-di - Input devices support (udeb)
 input-modules-3.1.0-1-parisc64-di - Input devices support (udeb)
 input-modules-3.1.0-1-parisc-di - Input devices support (udeb)
 input-modules-3.1.0-1-powerpc64-di - Input devices support (udeb)
 input-modules-3.1.0-1-powerpc-di - Input devices support (udeb)
 input-modules-3.1.0-1-sb1-bcm91250a-di - Input devices support (udeb)
 input-modules-3.1.0-1-sparc64-di - Input devices support (udeb)
 ipv6-modules-3.1.0-1-4kc-malta-di - IPv6 driver (udeb)
 ipv6-modules-3.1.0-1-itanium-di - IPv6 driver (udeb)
 ipv6-modules-3.1.0-1-loongson-2f-di - IPv6 driver (udeb)
 ipv6-modules-3.1.0-1-parisc64-di - IPv6 driver (udeb)
 ipv6-modules-3.1.0-1-parisc-di - IPv6 driver (udeb)
 ipv6-modules-3.1.0-1-r4k-ip22-di - IPv6 driver (udeb)
 ipv6-modules-3.1.0-1-r5k-cobalt-di - IPv6 driver (udeb)
 ipv6-modules-3.1.0-1-r5k-ip32-di - IPv6 driver (udeb)
 ipv6-modules-3.1.0-1-sb1-bcm91250a-di - IPv6 driver (udeb)
 irda-modules-3.1.0-1-486-di - Infrared devices support (udeb)
 irda-modules-3.1.0-1-686-pae-di - Infrared devices support (udeb)
 irda-modules-3.1.0-1-amd64-di - Infrared devices support (udeb)
 irda-modules-3.1.0-1-itanium-di - Infrared devices support (udeb)
 irda-modules-3.1.0-1-powerpc64-di - Infrared devices support (udeb)
 irda-modules-3.1.0-1-powerpc-di - Infrared devices support (udeb)
 isofs-modules-3.1.0-1-486-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-4kc-malta-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-686-pae-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-amd64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-amiga-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-atari-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-iop32x-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-itanium-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-kirkwood-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-loongson-2f-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-mac-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-mx5-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-orion5x-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-powerpc64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-powerpc-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-r4k-ip22-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-r5k-ip32-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-sb1-bcm91250a-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-sh7751r-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-sh7785lcr-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-sparc64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-versatile-di - ISOFS filesystem support (udeb)
 jffs2-modules-3.1.0-1-iop32x-di - JFFS2 filesystem support (udeb)
 jffs2-modules-3.1.0-1-orion5x-di - JFFS2 filesystem support (udeb)
 jfs-modules-3.1.0-1-486-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-4kc-malta-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-686-pae-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-amd64-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-amiga-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-atari-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-iop32x-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-itanium-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-kirkwood-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-loongson-2f-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-mac-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-mx5-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-orion5x-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-powerpc64-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-powerpc-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-r4k-ip22-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-r5k-cobalt-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-r5k-ip32-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-sb1-bcm91250a-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-sh7751r-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-sh7785lcr-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-sparc64-di - JFS filesystem support (udeb)
 kernel-image-3.1.0-1-486-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-4kc-malta-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-686-pae-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-amd64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-amiga-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-atari-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-iop32x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-itanium-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-kirkwood-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-loongson-2f-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-mac-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-mx5-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-orion5x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-parisc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-parisc-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-powerpc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-powerpc-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-r4k-ip22-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-r5k-cobalt-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-r5k-ip32-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-s390x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-s390x-tape-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-sb1-bcm91250a-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-sh7751r-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-sh7785lcr-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-sparc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-versatile-di - Linux kernel binary image for the Debian installer (udeb)
 linux-doc-3.1 - Linux kernel specific documentation for version 3.1
 linux-headers-3.1.0-1-486 - Header files for Linux 3.1.0-1-486
 linux-headers-3.1.0-1-4kc-malta - Header files for Linux 3.1.0-1-4kc-malta
 linux-headers-3.1.0-1-5kc-malta - Header files for Linux 3.1.0-1-5kc-malta
 linux-headers-3.1.0-1-686-pae - Header files for Linux 3.1.0-1-686-pae
 linux-headers-3.1.0-1-all - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-alpha - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-amd64 - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-armel - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-armhf - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-hppa - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-i386 - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-ia64 - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-m68k - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-mips - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-mipsel - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-powerpc - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-ppc64 - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-s390 - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-s390x - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-sh4 - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-sparc64 - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-sparc - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-alpha-generic - Header files for Linux 3.1.0-1-alpha-generic
 linux-headers-3.1.0-1-alpha-legacy - Header files for Linux 3.1.0-1-alpha-legacy
 linux-headers-3.1.0-1-alpha-smp - Header files for Linux 3.1.0-1-alpha-smp
 linux-headers-3.1.0-1-amd64 - Header files for Linux 3.1.0-1-amd64
 linux-headers-3.1.0-1-amiga - Header files for Linux 3.1.0-1-amiga
 linux-headers-3.1.0-1-atari - Header files for Linux 3.1.0-1-atari
 linux-headers-3.1.0-1-bvme6000 - Header files for Linux 3.1.0-1-bvme6000
 linux-headers-3.1.0-1-common - Common header files for Linux 3.1.0-1
 linux-headers-3.1.0-1-iop32x - Header files for Linux 3.1.0-1-iop32x
 linux-headers-3.1.0-1-itanium - Header files for Linux 3.1.0-1-itanium
 linux-headers-3.1.0-1-ixp4xx - Header files for Linux 3.1.0-1-ixp4xx
 linux-headers-3.1.0-1-kirkwood - Header files for Linux 3.1.0-1-kirkwood
 linux-headers-3.1.0-1-loongson-2f - Header files for Linux 3.1.0-1-loongson-2f
 linux-headers-3.1.0-1-mac - Header files for Linux 3.1.0-1-mac
 linux-headers-3.1.0-1-mckinley - Header files for Linux 3.1.0-1-mckinley
 linux-headers-3.1.0-1-mvme147 - Header files for Linux 3.1.0-1-mvme147
 linux-headers-3.1.0-1-mvme16x - Header files for Linux 3.1.0-1-mvme16x
 linux-headers-3.1.0-1-mx5 - Header files for Linux 3.1.0-1-mx5
 linux-headers-3.1.0-1-octeon - Header files for Linux 3.1.0-1-octeon
 linux-headers-3.1.0-1-omap - Header files for Linux 3.1.0-1-omap
 linux-headers-3.1.0-1-orion5x - Header files for Linux 3.1.0-1-orion5x
 linux-headers-3.1.0-1-parisc64 - Header files for Linux 3.1.0-1-parisc64
 linux-headers-3.1.0-1-parisc64-smp - Header files for Linux 3.1.0-1-parisc64-smp
 linux-headers-3.1.0-1-parisc - Header files for Linux 3.1.0-1-parisc
 linux-headers-3.1.0-1-parisc-smp - Header files for Linux 3.1.0-1-parisc-smp
 linux-headers-3.1.0-1-powerpc64 - Header files for Linux 3.1.0-1-powerpc64
 linux-headers-3.1.0-1-powerpc - Header files for Linux 3.1.0-1-powerpc
 linux-headers-3.1.0-1-powerpc-smp - Header files for Linux 3.1.0-1-powerpc-smp
 linux-headers-3.1.0-1-r4k-ip22 - Header files for Linux 3.1.0-1-r4k-ip22
 linux-headers-3.1.0-1-r5k-cobalt - Header files for Linux 3.1.0-1-r5k-cobalt
 linux-headers-3.1.0-1-r5k-ip32 - Header files for Linux 3.1.0-1-r5k-ip32
 linux-headers-3.1.0-1-s390x - Header files for Linux 3.1.0-1-s390x
 linux-headers-3.1.0-1-sb1a-bcm91480b - Header files for Linux 3.1.0-1-sb1a-bcm91480b
 linux-headers-3.1.0-1-sb1-bcm91250a - Header files for Linux 3.1.0-1-sb1-bcm91250a
 linux-headers-3.1.0-1-sh7751r - Header files for Linux 3.1.0-1-sh7751r
 linux-headers-3.1.0-1-sh7785lcr - Header files for Linux 3.1.0-1-sh7785lcr
 linux-headers-3.1.0-1-sparc64 - Header files for Linux 3.1.0-1-sparc64
 linux-headers-3.1.0-1-sparc64-smp - Header files for Linux 3.1.0-1-sparc64-smp
 linux-headers-3.1.0-1-versatile - Header files for Linux 3.1.0-1-versatile
 linux-image-3.1.0-1-486 - Linux 3.1 for older PCs
 linux-image-3.1.0-1-4kc-malta - Linux 3.1 for MIPS Malta
 linux-image-3.1.0-1-5kc-malta - Linux 3.1 for MIPS Malta (64-bit)
 linux-image-3.1.0-1-686-pae-dbg - Debugging infos for Linux 3.1.0-1-686-pae
 linux-image-3.1.0-1-686-pae - Linux 3.1 for modern PCs
 linux-image-3.1.0-1-alpha-generic - Linux 3.1 for Alpha
 linux-image-3.1.0-1-alpha-legacy - Linux 3.1 for Alpha Legacy
 linux-image-3.1.0-1-alpha-smp - Linux 3.1 for Alpha SMP
 linux-image-3.1.0-1-amd64-dbg - Debugging infos for Linux 3.1.0-1-amd64
 linux-image-3.1.0-1-amd64 - Linux 3.1 for 64-bit PCs
 linux-image-3.1.0-1-amiga - Linux 3.1 for Amiga
 linux-image-3.1.0-1-atari - Linux 3.1 for Atari
 linux-image-3.1.0-1-bvme6000 - Linux 3.1 for BVM BVME4000 and BVME6000
 linux-image-3.1.0-1-iop32x - Linux 3.1 for IOP32x
 linux-image-3.1.0-1-itanium - Linux 3.1 for Itanium
 linux-image-3.1.0-1-ixp4xx - Linux 3.1 for IXP4xx
 linux-image-3.1.0-1-kirkwood - Linux 3.1 for Marvell Kirkwood
 linux-image-3.1.0-1-loongson-2f - Linux 3.1 for Loongson 2F
 linux-image-3.1.0-1-mac - Linux 3.1 for Macintosh
 linux-image-3.1.0-1-mckinley - Linux 3.1 for Itanium II
 linux-image-3.1.0-1-mvme147 - Linux 3.1 for Motorola MVME147
 linux-image-3.1.0-1-mvme16x - Linux 3.1 for Motorola MVME162/6/7, MVME172/7
 linux-image-3.1.0-1-mx5 - Linux 3.1 for Freescale i.MX51
 linux-image-3.1.0-1-octeon - Linux 3.1 for Octeon
 linux-image-3.1.0-1-omap - Linux 3.1 for TI OMAP3+
 linux-image-3.1.0-1-orion5x - Linux 3.1 for Marvell Orion
 linux-image-3.1.0-1-parisc64 - Linux 3.1 for 64-bit PA-RISC
 linux-image-3.1.0-1-parisc64-smp - Linux 3.1 for multiprocessor 64-bit PA-RISC
 linux-image-3.1.0-1-parisc - Linux 3.1 for 32-bit PA-RISC
 linux-image-3.1.0-1-parisc-smp - Linux 3.1 for multiprocessor 32-bit PA-RISC
 linux-image-3.1.0-1-powerpc64 - Linux 3.1 for 64-bit PowerPC
 linux-image-3.1.0-1-powerpc - Linux 3.1 for uniprocessor 32-bit PowerPC
 linux-image-3.1.0-1-powerpc-smp - Linux 3.1 for multiprocessor 32-bit PowerPC
 linux-image-3.1.0-1-r4k-ip22 - Linux 3.1 for SGI IP22
 linux-image-3.1.0-1-r5k-cobalt - Linux 3.1 for Cobalt
 linux-image-3.1.0-1-r5k-ip32 - Linux 3.1 for SGI IP32
 linux-image-3.1.0-1-s390x - Linux 3.1 for IBM zSeries
 linux-image-3.1.0-1-s390x-tape - Linux 3.1 for IBM zSeries, IPL from tape
 linux-image-3.1.0-1-sb1a-bcm91480b - Linux 3.1 for BCM91480B
 linux-image-3.1.0-1-sb1-bcm91250a - Linux 3.1 for BCM91250A
 linux-image-3.1.0-1-sh7751r - Linux 3.1 for sh7751r
 linux-image-3.1.0-1-sh7785lcr - Linux 3.1 for sh7785lcr
 linux-image-3.1.0-1-sparc64 - Linux 3.1 for uniprocessor 64-bit UltraSPARC
 linux-image-3.1.0-1-sparc64-smp - Linux 3.1 for multiprocessor 64-bit UltraSPARC
 linux-image-3.1.0-1-versatile - Linux 3.1 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-3.1 - Linux kernel API manual pages for version 3.1
 linux-patch-debian-3.1 - Debian patches to version 3.1 of the Linux kernel
 linux-source-3.1 - Linux kernel source for version 3.1 with Debian patches
 linux-support-3.1.0-1 - Support files for Linux 3.1
 loop-modules-3.1.0-1-486-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-4kc-malta-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-686-pae-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-amd64-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-iop32x-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-itanium-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-kirkwood-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-loongson-2f-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-mx5-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-orion5x-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-parisc64-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-parisc-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-powerpc64-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-powerpc-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-r4k-ip22-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-r5k-cobalt-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-r5k-ip32-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-sb1-bcm91250a-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-sh7751r-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-sh7785lcr-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-versatile-di - Loopback filesystem support (udeb)
 lzo-modules-3.1.0-1-iop32x-di - lzo modules (udeb)
 lzo-modules-3.1.0-1-orion5x-di - lzo modules (udeb)
 lzo-modules-3.1.0-1-versatile-di - lzo modules (udeb)
 md-modules-3.1.0-1-486-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-4kc-malta-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-686-pae-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-amd64-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-amiga-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-atari-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-iop32x-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-itanium-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-kirkwood-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-loongson-2f-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-mac-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-mx5-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-orion5x-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-parisc64-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-parisc-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-powerpc64-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-powerpc-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-r4k-ip22-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-r5k-cobalt-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-r5k-ip32-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-s390x-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-sb1-bcm91250a-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-sh7751r-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-sh7785lcr-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-sparc64-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-versatile-di - RAID and LVM support (udeb)
 minix-modules-3.1.0-1-kirkwood-di - Minix filesystem support (udeb)
 minix-modules-3.1.0-1-mx5-di - Minix filesystem support (udeb)
 minix-modules-3.1.0-1-orion5x-di - Minix filesystem support (udeb)
 minix-modules-3.1.0-1-sh7751r-di - Minix filesystem support (udeb)
 minix-modules-3.1.0-1-sh7785lcr-di - Minix filesystem support (udeb)
 mmc-core-modules-3.1.0-1-486-di - MMC/SD/SDIO core modules (udeb)
 mmc-core-modules-3.1.0-1-686-pae-di - MMC/SD/SDIO core modules (udeb)
 mmc-core-modules-3.1.0-1-amd64-di - MMC/SD/SDIO core modules (udeb)
 mmc-modules-3.1.0-1-486-di - MMC/SD card modules (udeb)
 mmc-modules-3.1.0-1-686-pae-di - MMC/SD card modules (udeb)
 mmc-modules-3.1.0-1-amd64-di - MMC/SD card modules (udeb)
 mmc-modules-3.1.0-1-kirkwood-di - MMC/SD card modules (udeb)
 mmc-modules-3.1.0-1-mx5-di - MMC/SD card modules (udeb)
 mouse-modules-3.1.0-1-486-di - Mouse support (udeb)
 mouse-modules-3.1.0-1-686-pae-di - Mouse support (udeb)
 mouse-modules-3.1.0-1-amd64-di - Mouse support (udeb)
 mouse-modules-3.1.0-1-itanium-di - Mouse support (udeb)
 mouse-modules-3.1.0-1-kirkwood-di - Mouse support (udeb)
 mouse-modules-3.1.0-1-powerpc64-di - Mouse support (udeb)
 mouse-modules-3.1.0-1-powerpc-di - Mouse support (udeb)
 multipath-modules-3.1.0-1-486-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-4kc-malta-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-686-pae-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-amd64-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-iop32x-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-itanium-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-kirkwood-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-loongson-2f-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-mx5-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-orion5x-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-parisc64-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-parisc-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-powerpc64-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-powerpc-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-r4k-ip22-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-r5k-cobalt-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-r5k-ip32-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-s390x-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-sb1-bcm91250a-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-sh7751r-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-sh7785lcr-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-sparc64-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-versatile-di - Multipath support (udeb)
 nbd-modules-3.1.0-1-486-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-4kc-malta-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-686-pae-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-amd64-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-amiga-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-atari-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-iop32x-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-itanium-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-kirkwood-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-loongson-2f-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-mac-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-mx5-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-orion5x-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-parisc64-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-parisc-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-powerpc64-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-powerpc-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-r4k-ip22-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-r5k-cobalt-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-r5k-ip32-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-s390x-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-sb1-bcm91250a-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-sh7751r-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-sh7785lcr-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-sparc64-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-versatile-di - Network Block Device modules (udeb)
 nfs-modules-3.1.0-1-r5k-cobalt-di - NFS filesystem support (udeb)
 nic-extra-modules-3.1.0-1-486-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.1.0-1-686-pae-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.1.0-1-amd64-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.1.0-1-powerpc64-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.1.0-1-powerpc-di - Rare NIC drivers (udeb)
 nic-modules-3.1.0-1-486-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-686-pae-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-amd64-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-iop32x-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-itanium-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-kirkwood-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-loongson-2f-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-mx5-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-orion5x-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-parisc64-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-parisc-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-powerpc64-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-powerpc-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-s390x-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-sh7751r-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-sh7785lcr-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-sparc64-di - Network card modules for Sparc kernels (udeb)
 nic-modules-3.1.0-1-versatile-di - Common NIC drivers (udeb)
 nic-pcmcia-modules-3.1.0-1-486-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.1.0-1-686-pae-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.1.0-1-amd64-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.1.0-1-powerpc64-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.1.0-1-powerpc-di - Common PCMCIA NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-486-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-686-pae-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-amd64-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-amiga-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-atari-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-iop32x-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-itanium-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-kirkwood-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-loongson-2f-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-mac-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-mx5-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-orion5x-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-powerpc64-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-powerpc-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-r4k-ip22-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-r5k-cobalt-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-r5k-ip32-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-sb1-bcm91250a-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-versatile-di - Shared NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-486-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-686-pae-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-amd64-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-iop32x-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-itanium-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-kirkwood-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-loongson-2f-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-mx5-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-orion5x-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-sh7751r-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-sh7785lcr-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-versatile-di - USB NIC drivers (udeb)
 nic-wireless-modules-3.1.0-1-486-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.1.0-1-686-pae-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.1.0-1-amd64-di - Wireless NIC drivers (udeb)
 ntfs-modules-3.1.0-1-486-di - NTFS filesystem support (udeb)
 ntfs-modules-3.1.0-1-686-pae-di - NTFS filesystem support (udeb)
 ntfs-modules-3.1.0-1-amd64-di - NTFS filesystem support (udeb)
 ntfs-modules-3.1.0-1-itanium-di - NTFS filesystem support (udeb)
 parport-modules-3.1.0-1-486-di - Parallel port support (udeb)
 parport-modules-3.1.0-1-686-pae-di - Parallel port support (udeb)
 parport-modules-3.1.0-1-amd64-di - Parallel port support (udeb)
 parport-modules-3.1.0-1-itanium-di - Parallel port support (udeb)
 parport-modules-3.1.0-1-sh7751r-di - Parallel port support (udeb)
 parport-modules-3.1.0-1-sh7785lcr-di - Parallel port support (udeb)
 pata-modules-3.1.0-1-486-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-686-pae-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-amd64-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-iop32x-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-itanium-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-parisc64-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-parisc-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-powerpc64-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-powerpc-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-sh7751r-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-sh7785lcr-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-sparc64-di - PATA drivers (udeb)
 pcmcia-modules-3.1.0-1-486-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.1.0-1-686-pae-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.1.0-1-amd64-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.1.0-1-itanium-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.1.0-1-powerpc64-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.1.0-1-powerpc-di - Common PCMCIA drivers (udeb)
 pcmcia-storage-modules-3.1.0-1-486-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.1.0-1-686-pae-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.1.0-1-amd64-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.1.0-1-powerpc64-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.1.0-1-powerpc-di - PCMCIA storage drivers (udeb)
 plip-modules-3.1.0-1-486-di - PLIP drivers (udeb)
 plip-modules-3.1.0-1-686-pae-di - PLIP drivers (udeb)
 plip-modules-3.1.0-1-amd64-di - PLIP drivers (udeb)
 plip-modules-3.1.0-1-itanium-di - PLIP drivers (udeb)
 plip-modules-3.1.0-1-sparc64-di - PLIP drivers (udeb)
 ppp-modules-3.1.0-1-486-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-4kc-malta-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-686-pae-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-amd64-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-amiga-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-atari-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-iop32x-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-itanium-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-kirkwood-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-loongson-2f-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-mac-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-orion5x-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-parisc64-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-parisc-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-powerpc64-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-powerpc-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-r5k-cobalt-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-sb1-bcm91250a-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-sh7751r-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-sh7785lcr-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-sparc64-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-versatile-di - PPP drivers (udeb)
 qnx4-modules-3.1.0-1-486-di - QNX4 filesystem support (udeb)
 qnx4-modules-3.1.0-1-686-pae-di - QNX4 filesystem support (udeb)
 qnx4-modules-3.1.0-1-amd64-di - QNX4 filesystem support (udeb)
 reiserfs-modules-3.1.0-1-486-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-4kc-malta-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-686-pae-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-amd64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-amiga-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-atari-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-iop32x-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-itanium-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-kirkwood-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-loongson-2f-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-mac-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-mx5-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-orion5x-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-powerpc64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-powerpc-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-r4k-ip22-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-r5k-cobalt-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-r5k-ip32-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-sb1-bcm91250a-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-sh7751r-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-sh7785lcr-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-sparc64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-versatile-di - Reiser filesystem support (udeb)
 rtc-modules-3.1.0-1-sb1-bcm91250a-di - RTC modules (udeb)
 sata-modules-3.1.0-1-486-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-4kc-malta-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-686-pae-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-amd64-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-iop32x-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-itanium-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-kirkwood-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-loongson-2f-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-orion5x-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-powerpc64-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-powerpc-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-sb1-bcm91250a-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-sh7751r-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-sh7785lcr-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-sparc64-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-versatile-di - SATA drivers (udeb)
 scsi-common-modules-3.1.0-1-486-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.1.0-1-686-pae-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.1.0-1-amd64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.1.0-1-powerpc64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.1.0-1-powerpc-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.1.0-1-sb1-bcm91250a-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.1.0-1-sparc64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.1.0-1-versatile-di - Very common SCSI drivers (udeb)
 scsi-core-modules-3.1.0-1-486-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-686-pae-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-amd64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-iop32x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-itanium-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-kirkwood-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-mx5-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-orion5x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-parisc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-parisc-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-powerpc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-powerpc-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-s390x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-sb1-bcm91250a-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-sh7751r-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-sh7785lcr-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-sparc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-versatile-di - Core SCSI subsystem (udeb)
 scsi-extra-modules-3.1.0-1-486-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.1.0-1-686-pae-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.1.0-1-amd64-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.1.0-1-powerpc64-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.1.0-1-powerpc-di - Uncommon SCSI drivers (udeb)
 scsi-modules-3.1.0-1-486-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-686-pae-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-amd64-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-amiga-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-atari-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-itanium-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-mac-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-parisc64-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-parisc-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-powerpc64-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-powerpc-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-s390x-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-sb1-bcm91250a-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-sparc64-di - SCSI drivers (udeb)
 serial-modules-3.1.0-1-486-di - Serial drivers (udeb)
 serial-modules-3.1.0-1-686-pae-di - Serial drivers (udeb)
 serial-modules-3.1.0-1-amd64-di - Serial drivers (udeb)
 serial-modules-3.1.0-1-itanium-di - Serial drivers (udeb)
 serial-modules-3.1.0-1-powerpc64-di - Serial drivers (udeb)
 serial-modules-3.1.0-1-powerpc-di - Serial drivers (udeb)
 sn-modules-3.1.0-1-itanium-di - SN modules (udeb)
 sound-modules-3.1.0-1-486-di - sound support (udeb)
 sound-modules-3.1.0-1-686-pae-di - sound support (udeb)
 sound-modules-3.1.0-1-amd64-di - sound support (udeb)
 sound-modules-3.1.0-1-sh7751r-di - sound support (udeb)
 sound-modules-3.1.0-1-sh7785lcr-di - sound support (udeb)
 speakup-modules-3.1.0-1-486-di - speakup modules (udeb)
 speakup-modules-3.1.0-1-686-pae-di - speakup modules (udeb)
 speakup-modules-3.1.0-1-amd64-di - speakup modules (udeb)
 speakup-modules-3.1.0-1-sh7751r-di - speakup modules (udeb)
 speakup-modules-3.1.0-1-sh7785lcr-di - speakup modules (udeb)
 squashfs-modules-3.1.0-1-486-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-4kc-malta-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-686-pae-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-amd64-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-amiga-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-atari-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-iop32x-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-itanium-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-kirkwood-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-loongson-2f-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-mac-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-mx5-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-orion5x-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-powerpc64-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-powerpc-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-r4k-ip22-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-r5k-cobalt-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-r5k-ip32-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-sb1-bcm91250a-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-sh7751r-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-sh7785lcr-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-sparc64-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-versatile-di - squashfs modules (udeb)
 ufs-modules-3.1.0-1-486-di - UFS filesystem support (udeb)
 ufs-modules-3.1.0-1-686-pae-di - UFS filesystem support (udeb)
 ufs-modules-3.1.0-1-amd64-di - UFS filesystem support (udeb)
 ufs-modules-3.1.0-1-itanium-di - UFS filesystem support (udeb)
 ufs-modules-3.1.0-1-powerpc64-di - UFS filesystem support (udeb)
 ufs-modules-3.1.0-1-powerpc-di - UFS filesystem support (udeb)
 ufs-modules-3.1.0-1-sh7751r-di - UFS filesystem support (udeb)
 ufs-modules-3.1.0-1-sh7785lcr-di - UFS filesystem support (udeb)
 uinput-modules-3.1.0-1-486-di - uinput support (udeb)
 uinput-modules-3.1.0-1-686-pae-di - uinput support (udeb)
 uinput-modules-3.1.0-1-amd64-di - uinput support (udeb)
 uinput-modules-3.1.0-1-itanium-di - uinput support (udeb)
 uinput-modules-3.1.0-1-kirkwood-di - uinput support (udeb)
 uinput-modules-3.1.0-1-mx5-di - uinput support (udeb)
 uinput-modules-3.1.0-1-powerpc64-di - uinput support (udeb)
 uinput-modules-3.1.0-1-powerpc-di - uinput support (udeb)
 usb-modules-3.1.0-1-486-di - USB support (udeb)
 usb-modules-3.1.0-1-4kc-malta-di - USB support (udeb)
 usb-modules-3.1.0-1-686-pae-di - USB support (udeb)
 usb-modules-3.1.0-1-amd64-di - USB support (udeb)
 usb-modules-3.1.0-1-iop32x-di - USB support (udeb)
 usb-modules-3.1.0-1-itanium-di - USB support (udeb)
 usb-modules-3.1.0-1-kirkwood-di - USB support (udeb)
 usb-modules-3.1.0-1-loongson-2f-di - USB support (udeb)
 usb-modules-3.1.0-1-orion5x-di - USB support (udeb)
 usb-modules-3.1.0-1-parisc64-di - USB support (udeb)
 usb-modules-3.1.0-1-parisc-di - USB support (udeb)
 usb-modules-3.1.0-1-powerpc64-di - USB support (udeb)
 usb-modules-3.1.0-1-powerpc-di - USB support (udeb)
 usb-modules-3.1.0-1-sb1-bcm91250a-di - USB support (udeb)
 usb-modules-3.1.0-1-sparc64-di - USB support (udeb)
 usb-modules-3.1.0-1-versatile-di - USB support (udeb)
 usb-serial-modules-3.1.0-1-486-di - USB serial drivers (udeb)
 usb-serial-modules-3.1.0-1-686-pae-di - USB serial drivers (udeb)
 usb-serial-modules-3.1.0-1-amd64-di - USB serial drivers (udeb)
 usb-serial-modules-3.1.0-1-iop32x-di - USB serial drivers (udeb)
 usb-serial-modules-3.1.0-1-kirkwood-di - USB serial drivers (udeb)
 usb-serial-modules-3.1.0-1-orion5x-di - USB serial drivers (udeb)
 usb-serial-modules-3.1.0-1-powerpc64-di - USB serial drivers (udeb)
 usb-serial-modules-3.1.0-1-powerpc-di - USB serial drivers (udeb)
 usb-serial-modules-3.1.0-1-sh7751r-di - USB serial drivers (udeb)
 usb-serial-modules-3.1.0-1-sh7785lcr-di - USB serial drivers (udeb)
 usb-serial-modules-3.1.0-1-versatile-di - USB serial drivers (udeb)
 usb-storage-modules-3.1.0-1-486-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-4kc-malta-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-686-pae-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-amd64-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-iop32x-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-itanium-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-kirkwood-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-loongson-2f-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-mx5-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-orion5x-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-parisc64-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-parisc-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-powerpc64-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-powerpc-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-sb1-bcm91250a-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-sh7751r-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-sparc64-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-versatile-di - USB storage support (udeb)
 virtio-modules-3.1.0-1-486-di - virtio modules (udeb)
 virtio-modules-3.1.0-1-686-pae-di - virtio modules (udeb)
 virtio-modules-3.1.0-1-amd64-di - virtio modules (udeb)
 virtio-modules-3.1.0-1-powerpc64-di - virtio modules (udeb)
 virtio-modules-3.1.0-1-powerpc-di - virtio modules (udeb)
 virtio-modules-3.1.0-1-s390x-di - virtio modules (udeb)
 xen-linux-system-3.1.0-1-686-pae - Xen system with Linux 3.1 on modern PCs (meta-package)
 xen-linux-system-3.1.0-1-amd64 - Xen system with Linux 3.1 on 64-bit PCs (meta-package)
 xfs-modules-3.1.0-1-486-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-4kc-malta-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-686-pae-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-amd64-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-itanium-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-loongson-2f-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-powerpc64-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-powerpc-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-r4k-ip22-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-r5k-cobalt-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-r5k-ip32-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-s390x-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-sb1-bcm91250a-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-sh7751r-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-sh7785lcr-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-sparc64-di - XFS filesystem support (udeb)
 zlib-modules-3.1.0-1-486-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-4kc-malta-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-686-pae-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-amd64-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-amiga-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-atari-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-iop32x-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-itanium-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-loongson-2f-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-mac-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-orion5x-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-parisc64-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-parisc-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-powerpc64-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-powerpc-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-r4k-ip22-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-r5k-cobalt-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-r5k-ip32-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-sb1-bcm91250a-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-sh7751r-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-sh7785lcr-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-sparc64-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-versatile-di - zlib modules (udeb)
Changes: 
 linux-2.6 (3.1.8-1) unstable; urgency=low
 .
   * New upstream stable update:
     http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.1.7
     http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.1.8
     - Revert "clockevents: Set noop handler in clockevents_exchange_device()",
       included in stable update 3.1.5 (Closes: #653398)
     - cfq-iosched: fix cfq_cic_link() race condition
     - binary_sysctl(): fix memory leak
     - cgroups: fix a css_set not found bug in cgroup_attach_proc
     - iwlwifi: allow to switch to HT40 if not associated (Closes: #653423)
     - futex: Fix uninterruptible loop due to gate_area
     - drm/radeon/kms: bail on BTC parts if MC ucode is missing
     - [sparc] sparc64: Fix masking and shifting in VIS fpcmp emulation.
     - llc: llc_cmsg_rcv was getting called after sk_eat_skb.
     - ipv4: reintroduce route cache garbage collector
     - Revert "rtc: Disable the alarm in the hardware" (Closes: #652869)
 .
   [ Ben Hutchings ]
   * snapshot: Implement compat_ioctl (Closes: #502816)
   * drm/radeon: flush read cache for gtt with fence on r6xx and newer GPU
     (Closes: #646376)
   * rtc: Fix alarm rollover when day or month is out-of-range (Closes: #646429)
   * l2tp: ensure sk->dst is still valid (Closes: #652503)
   * Update Russian debconf template translations (Yuri Kozlov)
     (Closes: #653716)
   * v4l2-ioctl: integer overflow in video_usercopy()
   * Restrict ioctl forwarding on partitions and logical volumes (CVE-2011-4127)
   * [x86] KVM: Prevent starting PIT timers in the absence of irqchip support
     (CVE-2011-4622)
 .
   [ Jonathan Nieder ]
   * prerm: Print an error message when aborting removal of the running
     kernel (Closes: #601962)
 .
   [ Aurelien Jarno ]
   * [sh4] Remove core-modules udeb as it is empty.
   * [sh4/sh7751r] Disable CONFIG_RTS7751R2D_1. Support for this board
     implies IRQless IDE, which causes data corruption.
Checksums-Sha1: 
 060070a2542ea892edeefeb6307d6cb804192af4 94900 linux-2.6_3.1.8-1.dsc
 d1ed2fec822b23a749c2fd2a7690558b9195cf67 97166101 linux-2.6_3.1.8.orig.tar.gz
 ff0f9b471860113aa1e959a97b73262ef9f44192 4942153 linux-2.6_3.1.8-1.diff.gz
 b4312cdb113c086c42e4a47205fa5c2a4a074a64 7054742 linux-doc-3.1_3.1.8-1_all.deb
 519dd9e0d70e724f5f22a2c40e5593980a9c6a57 3161366 linux-manual-3.1_3.1.8-1_all.deb
 c438e1788f27cfab74c9643c27bf7739dc0218dc 377276 linux-patch-debian-3.1_3.1.8-1_all.deb
 d1f75f206f05f86d3f9fd3f444857e3b708b1da0 76099234 linux-source-3.1_3.1.8-1_all.deb
 7148b234c1af626fd00d1593167d9d54d2b813a4 181408 linux-support-3.1.0-1_3.1.8-1_all.deb
Checksums-Sha256: 
 5f3f0661002266ccc3fed24b3f78419f3fabdd7587ab62d3c8a5d059bceb9b4e 94900 linux-2.6_3.1.8-1.dsc
 81ba6245f30c13ad4a86aed677db58f30c642fd0053a365c83e0b9c37c9e32f2 97166101 linux-2.6_3.1.8.orig.tar.gz
 e7782799d31d9afa04418284295867278ceceb15a439475dd2e5169c89006c81 4942153 linux-2.6_3.1.8-1.diff.gz
 2d67a3e06fd0c43322412fc980c572c368800a097beaf565ef00d0bfcec41aea 7054742 linux-doc-3.1_3.1.8-1_all.deb
 0376d77e21c6d5fac2ca32a3c480ab4c369374d304e187138b75b5070180a12c 3161366 linux-manual-3.1_3.1.8-1_all.deb
 f24b8376ac0166791f9618ac7c704b63935ff12ce2e2e53bacd6eac0724dab79 377276 linux-patch-debian-3.1_3.1.8-1_all.deb
 406b758be18060c954fee911d822926f95a99a65cd792d28d47c0d4d85b455a3 76099234 linux-source-3.1_3.1.8-1_all.deb
 5544488b5335e5e11c17649fdb4ad6e9a3e1218743ddce66a2c283a942199466 181408 linux-support-3.1.0-1_3.1.8-1_all.deb
Files: 
 75d50994be48914c977cb4594462b2ab 94900 kernel optional linux-2.6_3.1.8-1.dsc
 771dff307f197d861baeed1c6401a61e 97166101 kernel optional linux-2.6_3.1.8.orig.tar.gz
 b7d753f6ca82a8875f002d29110c81d7 4942153 kernel optional linux-2.6_3.1.8-1.diff.gz
 daf3684803ae2d5c24672f076d03b8fe 7054742 doc optional linux-doc-3.1_3.1.8-1_all.deb
 2eaf1daffc547c9849891aa8ae53100d 3161366 doc optional linux-manual-3.1_3.1.8-1_all.deb
 599cf78b13d54e2b192beb6caccfedc5 377276 kernel optional linux-patch-debian-3.1_3.1.8-1_all.deb
 2cd8601ae2b5dfa036ee18a2b6ce8836 76099234 kernel optional linux-source-3.1_3.1.8-1_all.deb
 0a13954737b2c7b9d89b8bc2bf91a307 181408 devel optional linux-support-3.1.0-1_3.1.8-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTwove+e/yOyVhhEJAQrFIxAAsRXE7XHbzITv2blSzevuN3s5l6W2pVSC
lYzVTmOmzochAxOvjDeEJiumZVP7c9goiZLgWQzldmt8yIBPE1U6jR7Hswr7jA9p
CN805VQl65zkNWActW6408RbMcy5Uc2wEIQ/sJpaaIZcGS4gNdl06jMobwPSgDIc
qmbo6DNhMqt+8bOqvBXPi8S+n6wAOt9kBn4Kr6iy6NKe5ta9HcSX5Ju0PLqD8ucQ
OB2/syqYGeyo9g7NnNAyL91PanXdVdVPZ2a4JZ+mZwq9ILjaY6pl7Z3sSTmtaq/C
Lyz4MeMHAO+VmNgH7v3uSJ3EqH9INqGui1gcF50vLodZS9zMW8/F0/ioZWPW27q3
I9mODB4Cti0tJO6dNSqoJi/sPh0xujZAYOLsDxvD8cxqy1D9x+P7wVr6h8qCy0bu
pVHJi8xAPVRjys/NDHa2F5ZvWSfI5gBnrsvtogrwT4whTgCRbSAYYJyhXqRLEE0h
YgCALBF+8YIqjGKRULU/DVFS//Ha/Fyiv3MwKKfRMh+ajDQHFJ1o7LAjjMVySc6u
sKoIeOwNxeHvLxKd8hKI5+5JaKIhl9PpHg4n9LB+reORhS3mxDbEUZv2T3J6gccI
VHxBadBQqZhYLJ7jMzhAwB3BVGUbyuHagXUBUPuFV9uhKgdIZvMWCEpYt0xThF2x
BvapPA6zM9g=
=kQGf
-----END PGP SIGNATURE-----





Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 09 Jan 2012 01:39:12 GMT) Full text and rfc822 format available.

Notification sent to "P. van Gaans" <mailme667@yahoo.co.uk>:
Bug acknowledged by developer. (Mon, 09 Jan 2012 01:39:12 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 15 Jan 2012 20:06:24 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Jul 2012 07:43:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:33:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.